Skip to main content
`Ctrl`+`K`

# SVDMonitorConverged

Print the approximate values and error estimates as they converge.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDMonitorConverged(SVD svd,PetscInt its,PetscInt nconv,PetscReal sigma[],PetscReal errest[],PetscInt nest,PetscViewerAndFormat *vf)

Collective

## Input Parameters

- svd - the singular value solver context

- its - iteration number

- nconv - number of converged singular triplets so far

- sigma - singular values

- errest - error estimates

- nest - number of error estimates to display

- vf - viewer and format for monitoring

## Options Database Key

- -svd_monitor_conv - activates `SVDMonitorConverged()`

## Note

This is not called directly by users, rather one calls `SVDMonitorSet()`, with this function as an argument, to cause the monitor to be used during the `SVD` solve.

## See Also

SVD: Singular Value Decomposition, `SVDMonitorSet()`, `SVDMonitorFirst()`, `SVDMonitorConditioning()`, `SVDMonitorAll()`

## Level

intermediate

## Location

src/svd/interface/svdmon.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages